import requests
import re
from bs4 import BeautifulSoup
from sha1 import sha1

server_name = 'https://forum.ubuntu.ir'

payload = {
    'user': 'your_user',
    'passwrd': 'your_pass'
}

with requests.Session() as sess:
    r = sess.get(server_name + '/index.php?action=login')
    
    soup = BeautifulSoup(r.text, 'html.parser')
    h_field = soup.find('div', class_ = "roundframe").find('input', type = 'hidden')
    form = soup.find('form', id = 'frmLogin')
    cur_session_id = re.search('%s(.*)%s' % ("'", "'"), form['onsubmit']).group(1)
    
    payload['cookielength'] = 60
    payload[h_field['name']] = h_field['value']
    payload['hash_passwrd'] = sha1.hashLoginPassword(payload['user'], payload['passwrd'], cur_session_id)
    payload['passwrd'] = ''

    r2 = sess.post(server_name + '/index.php?action=login2', data = payload)
    
    r3 = sess.get(server_name + '/index.php?action=unread')
    soup2 = BeautifulSoup(r3.text, 'html.parser')
    print(soup2.find('li', class_ = 'normaltext').get_text())
