__all__ = ['sha1']

# Don't look below, you will not understand this Python code :) I don't.

from js2py.pyjs import *
# setting scope
var = Scope( JS_BUILTINS )
set_global_object(var)

# Code follows:
var.registers(['hex_hmac_sha1', 'sha1_vm_test', 'core_hmac_sha1', 'sha1_ft', 'core_sha1', 'str2binb', 'binb2str', 'chrsz', 'b64_hmac_sha1', 'rol', 'str_hmac_sha1', 'b64_sha1', 'binb2b64', 'b64pad', 'hex_sha1', 'binb2hex', 'str_sha1', 'hashLoginPassword', 'hexcase', 'sha1_kt', 'safe_add'])
@Js
def PyJsHoisted_hex_sha1_(s, this, arguments, var=var):
    var = Scope({'s':s, 'this':this, 'arguments':arguments}, var)
    var.registers(['s'])
    return var.get('binb2hex')(var.get('core_sha1')(var.get('str2binb')(var.get('s')), (var.get('s').get('length')*var.get('chrsz'))))
PyJsHoisted_hex_sha1_.func_name = 'hex_sha1'
var.put('hex_sha1', PyJsHoisted_hex_sha1_)
@Js
def PyJsHoisted_b64_sha1_(s, this, arguments, var=var):
    var = Scope({'s':s, 'this':this, 'arguments':arguments}, var)
    var.registers(['s'])
    return var.get('binb2b64')(var.get('core_sha1')(var.get('str2binb')(var.get('s')), (var.get('s').get('length')*var.get('chrsz'))))
PyJsHoisted_b64_sha1_.func_name = 'b64_sha1'
var.put('b64_sha1', PyJsHoisted_b64_sha1_)
@Js
def PyJsHoisted_str_sha1_(s, this, arguments, var=var):
    var = Scope({'s':s, 'this':this, 'arguments':arguments}, var)
    var.registers(['s'])
    return var.get('binb2str')(var.get('core_sha1')(var.get('str2binb')(var.get('s')), (var.get('s').get('length')*var.get('chrsz'))))
PyJsHoisted_str_sha1_.func_name = 'str_sha1'
var.put('str_sha1', PyJsHoisted_str_sha1_)
@Js
def PyJsHoisted_hex_hmac_sha1_(key, data, this, arguments, var=var):
    var = Scope({'key':key, 'data':data, 'this':this, 'arguments':arguments}, var)
    var.registers(['data', 'key'])
    return var.get('binb2hex')(var.get('core_hmac_sha1')(var.get('key'), var.get('data')))
PyJsHoisted_hex_hmac_sha1_.func_name = 'hex_hmac_sha1'
var.put('hex_hmac_sha1', PyJsHoisted_hex_hmac_sha1_)
@Js
def PyJsHoisted_b64_hmac_sha1_(key, data, this, arguments, var=var):
    var = Scope({'key':key, 'data':data, 'this':this, 'arguments':arguments}, var)
    var.registers(['data', 'key'])
    return var.get('binb2b64')(var.get('core_hmac_sha1')(var.get('key'), var.get('data')))
PyJsHoisted_b64_hmac_sha1_.func_name = 'b64_hmac_sha1'
var.put('b64_hmac_sha1', PyJsHoisted_b64_hmac_sha1_)
@Js
def PyJsHoisted_str_hmac_sha1_(key, data, this, arguments, var=var):
    var = Scope({'key':key, 'data':data, 'this':this, 'arguments':arguments}, var)
    var.registers(['data', 'key'])
    return var.get('binb2str')(var.get('core_hmac_sha1')(var.get('key'), var.get('data')))
PyJsHoisted_str_hmac_sha1_.func_name = 'str_hmac_sha1'
var.put('str_hmac_sha1', PyJsHoisted_str_hmac_sha1_)
@Js
def PyJsHoisted_sha1_vm_test_(this, arguments, var=var):
    var = Scope({'this':this, 'arguments':arguments}, var)
    var.registers([])
    return (var.get('hex_sha1')(Js('abc'))==Js('a9993e364706816aba3e25717850c26c9cd0d89d'))
PyJsHoisted_sha1_vm_test_.func_name = 'sha1_vm_test'
var.put('sha1_vm_test', PyJsHoisted_sha1_vm_test_)
@Js
def PyJsHoisted_core_sha1_(x, len, this, arguments, var=var):
    var = Scope({'x':x, 'len':len, 'this':this, 'arguments':arguments}, var)
    var.registers(['a', 'j', 'oldc', 'e', 'oldd', 'd', 'w', 'olda', 'oldb', 'olde', 'c', 'i', 'x', 't', 'len', 'b'])
    var.get('x').put((var.get('len')>>Js(5.0)), (Js(128)<<(Js(24.0)-(var.get('len')%Js(32.0)))), '|')
    var.get('x').put(((((var.get('len')+Js(64.0))>>Js(9.0))<<Js(4.0))+Js(15.0)), var.get('len'))
    var.put('w', var.get('Array')(Js(80.0)))
    var.put('a', Js(1732584193.0))
    var.put('b', (-Js(271733879.0)))
    var.put('c', (-Js(1732584194.0)))
    var.put('d', Js(271733878.0))
    var.put('e', (-Js(1009589776.0)))
    #for JS loop
    var.put('i', Js(0.0))
    while (var.get('i')<var.get('x').get('length')):
        try:
            var.put('olda', var.get('a'))
            var.put('oldb', var.get('b'))
            var.put('oldc', var.get('c'))
            var.put('oldd', var.get('d'))
            var.put('olde', var.get('e'))
            #for JS loop
            var.put('j', Js(0.0))
            while (var.get('j')<Js(80.0)):
                try:
                    if (var.get('j')<Js(16.0)):
                        var.get('w').put(var.get('j'), var.get('x').get((var.get('i')+var.get('j'))))
                    else:
                        var.get('w').put(var.get('j'), var.get('rol')((((var.get('w').get((var.get('j')-Js(3.0)))^var.get('w').get((var.get('j')-Js(8.0))))^var.get('w').get((var.get('j')-Js(14.0))))^var.get('w').get((var.get('j')-Js(16.0)))), Js(1.0)))
                    var.put('t', var.get('safe_add')(var.get('safe_add')(var.get('rol')(var.get('a'), Js(5.0)), var.get('sha1_ft')(var.get('j'), var.get('b'), var.get('c'), var.get('d'))), var.get('safe_add')(var.get('safe_add')(var.get('e'), var.get('w').get(var.get('j'))), var.get('sha1_kt')(var.get('j')))))
                    var.put('e', var.get('d'))
                    var.put('d', var.get('c'))
                    var.put('c', var.get('rol')(var.get('b'), Js(30.0)))
                    var.put('b', var.get('a'))
                    var.put('a', var.get('t'))
                finally:
                        (var.put('j',Js(var.get('j').to_number())+Js(1))-Js(1))
            var.put('a', var.get('safe_add')(var.get('a'), var.get('olda')))
            var.put('b', var.get('safe_add')(var.get('b'), var.get('oldb')))
            var.put('c', var.get('safe_add')(var.get('c'), var.get('oldc')))
            var.put('d', var.get('safe_add')(var.get('d'), var.get('oldd')))
            var.put('e', var.get('safe_add')(var.get('e'), var.get('olde')))
        finally:
                var.put('i', Js(16.0), '+')
    return var.get('Array')(var.get('a'), var.get('b'), var.get('c'), var.get('d'), var.get('e'))
PyJsHoisted_core_sha1_.func_name = 'core_sha1'
var.put('core_sha1', PyJsHoisted_core_sha1_)
@Js
def PyJsHoisted_sha1_ft_(t, b, c, d, this, arguments, var=var):
    var = Scope({'t':t, 'b':b, 'c':c, 'd':d, 'this':this, 'arguments':arguments}, var)
    var.registers(['c', 'd', 't', 'b'])
    if (var.get('t')<Js(20.0)):
        return ((var.get('b')&var.get('c'))|((~var.get('b'))&var.get('d')))
    if (var.get('t')<Js(40.0)):
        return ((var.get('b')^var.get('c'))^var.get('d'))
    if (var.get('t')<Js(60.0)):
        return (((var.get('b')&var.get('c'))|(var.get('b')&var.get('d')))|(var.get('c')&var.get('d')))
    return ((var.get('b')^var.get('c'))^var.get('d'))
PyJsHoisted_sha1_ft_.func_name = 'sha1_ft'
var.put('sha1_ft', PyJsHoisted_sha1_ft_)
@Js
def PyJsHoisted_sha1_kt_(t, this, arguments, var=var):
    var = Scope({'t':t, 'this':this, 'arguments':arguments}, var)
    var.registers(['t'])
    return (Js(1518500249.0) if (var.get('t')<Js(20.0)) else (Js(1859775393.0) if (var.get('t')<Js(40.0)) else ((-Js(1894007588.0)) if (var.get('t')<Js(60.0)) else (-Js(899497514.0)))))
PyJsHoisted_sha1_kt_.func_name = 'sha1_kt'
var.put('sha1_kt', PyJsHoisted_sha1_kt_)
@Js
def PyJsHoisted_core_hmac_sha1_(key, data, this, arguments, var=var):
    var = Scope({'key':key, 'data':data, 'this':this, 'arguments':arguments}, var)
    var.registers(['opad', 'hash', 'i', 'data', 'ipad', 'key', 'bkey'])
    var.put('bkey', var.get('str2binb')(var.get('key')))
    if (var.get('bkey').get('length')>Js(16.0)):
        var.put('bkey', var.get('core_sha1')(var.get('bkey'), (var.get('key').get('length')*var.get('chrsz'))))
    var.put('ipad', var.get('Array')(Js(16.0)))
    var.put('opad', var.get('Array')(Js(16.0)))
    #for JS loop
    var.put('i', Js(0.0))
    while (var.get('i')<Js(16.0)):
        try:
            var.get('ipad').put(var.get('i'), (var.get('bkey').get(var.get('i'))^Js(909522486)))
            var.get('opad').put(var.get('i'), (var.get('bkey').get(var.get('i'))^Js(1549556828)))
        finally:
                (var.put('i',Js(var.get('i').to_number())+Js(1))-Js(1))
    var.put('hash', var.get('core_sha1')(var.get('ipad').callprop('concat', var.get('str2binb')(var.get('data'))), (Js(512.0)+(var.get('data').get('length')*var.get('chrsz')))))
    return var.get('core_sha1')(var.get('opad').callprop('concat', var.get('hash')), (Js(512.0)+Js(160.0)))
PyJsHoisted_core_hmac_sha1_.func_name = 'core_hmac_sha1'
var.put('core_hmac_sha1', PyJsHoisted_core_hmac_sha1_)
@Js
def PyJsHoisted_safe_add_(x, y, this, arguments, var=var):
    var = Scope({'x':x, 'y':y, 'this':this, 'arguments':arguments}, var)
    var.registers(['lsw', 'y', 'x', 'msw'])
    var.put('lsw', ((var.get('x')&Js(65535))+(var.get('y')&Js(65535))))
    var.put('msw', (((var.get('x')>>Js(16.0))+(var.get('y')>>Js(16.0)))+(var.get('lsw')>>Js(16.0))))
    return ((var.get('msw')<<Js(16.0))|(var.get('lsw')&Js(65535)))
PyJsHoisted_safe_add_.func_name = 'safe_add'
var.put('safe_add', PyJsHoisted_safe_add_)
@Js
def PyJsHoisted_rol_(num, cnt, this, arguments, var=var):
    var = Scope({'num':num, 'cnt':cnt, 'this':this, 'arguments':arguments}, var)
    var.registers(['num', 'cnt'])
    return ((var.get('num')<<var.get('cnt'))|PyJsBshift(var.get('num'),(Js(32.0)-var.get('cnt'))))
PyJsHoisted_rol_.func_name = 'rol'
var.put('rol', PyJsHoisted_rol_)
@Js
def PyJsHoisted_str2binb_(str, this, arguments, var=var):
    var = Scope({'str':str, 'this':this, 'arguments':arguments}, var)
    var.registers(['bin', 'n', 'str', 'i', 'mask'])
    var.put('bin', var.get('Array')())
    #for JS loop
    var.put('i', Js(0.0))
    var.put('n', (Js(1.0)+((var.get('str').get('length')*var.get('chrsz'))>>Js(5.0))))
    while (var.get('i')<var.get('n')):
        try:
            var.get('bin').put(var.get('i'), Js(0.0))
        finally:
                (var.put('i',Js(var.get('i').to_number())+Js(1))-Js(1))
    var.put('mask', ((Js(1.0)<<var.get('chrsz'))-Js(1.0)))
    #for JS loop
    var.put('i', Js(0.0))
    while (var.get('i')<(var.get('str').get('length')*var.get('chrsz'))):
        try:
            var.get('bin').put((var.get('i')>>Js(5.0)), ((var.get('str').callprop('charCodeAt', (var.get('i')/var.get('chrsz')))&var.get('mask'))<<(Js(24.0)-(var.get('i')%Js(32.0)))), '|')
        finally:
                var.put('i', var.get('chrsz'), '+')
    return var.get('bin')
PyJsHoisted_str2binb_.func_name = 'str2binb'
var.put('str2binb', PyJsHoisted_str2binb_)
@Js
def PyJsHoisted_binb2str_(bin, this, arguments, var=var):
    var = Scope({'bin':bin, 'this':this, 'arguments':arguments}, var)
    var.registers(['str', 'i', 'bin', 'mask'])
    var.put('str', Js(''))
    var.put('mask', ((Js(1.0)<<var.get('chrsz'))-Js(1.0)))
    #for JS loop
    var.put('i', Js(0.0))
    while (var.get('i')<(var.get('bin').get('length')*Js(32.0))):
        try:
            var.put('str', var.get('String').callprop('fromCharCode', (PyJsBshift(var.get('bin').get((var.get('i')>>Js(5.0))),(Js(24.0)-(var.get('i')%Js(32.0))))&var.get('mask'))), '+')
        finally:
                var.put('i', var.get('chrsz'), '+')
    return var.get('str')
PyJsHoisted_binb2str_.func_name = 'binb2str'
var.put('binb2str', PyJsHoisted_binb2str_)
@Js
def PyJsHoisted_binb2hex_(binarray, this, arguments, var=var):
    var = Scope({'binarray':binarray, 'this':this, 'arguments':arguments}, var)
    var.registers(['str', 'i', 'hex_tab', 'binarray'])
    var.put('hex_tab', (Js('0123456789ABCDEF') if var.get('hexcase') else Js('0123456789abcdef')))
    var.put('str', Js(''))
    #for JS loop
    var.put('i', Js(0.0))
    while (var.get('i')<(var.get('binarray').get('length')*Js(4.0))):
        try:
            var.put('str', (var.get('hex_tab').callprop('charAt', ((var.get('binarray').get((var.get('i')>>Js(2.0)))>>(((Js(3.0)-(var.get('i')%Js(4.0)))*Js(8.0))+Js(4.0)))&Js(15)))+var.get('hex_tab').callprop('charAt', ((var.get('binarray').get((var.get('i')>>Js(2.0)))>>((Js(3.0)-(var.get('i')%Js(4.0)))*Js(8.0)))&Js(15)))), '+')
        finally:
                (var.put('i',Js(var.get('i').to_number())+Js(1))-Js(1))
    return var.get('str')
PyJsHoisted_binb2hex_.func_name = 'binb2hex'
var.put('binb2hex', PyJsHoisted_binb2hex_)
@Js
def PyJsHoisted_binb2b64_(binarray, this, arguments, var=var):
    var = Scope({'binarray':binarray, 'this':this, 'arguments':arguments}, var)
    var.registers(['j', 'binarray', 'tab', 'triplet', 'str', 'i'])
    var.put('tab', Js('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/'))
    var.put('str', Js(''))
    #for JS loop
    var.put('i', Js(0.0))
    while (var.get('i')<(var.get('binarray').get('length')*Js(4.0))):
        try:
            var.put('triplet', (((((var.get('binarray').get((var.get('i')>>Js(2.0)))>>(Js(8.0)*(Js(3.0)-(var.get('i')%Js(4.0)))))&Js(255))<<Js(16.0))|(((var.get('binarray').get(((var.get('i')+Js(1.0))>>Js(2.0)))>>(Js(8.0)*(Js(3.0)-((var.get('i')+Js(1.0))%Js(4.0)))))&Js(255))<<Js(8.0)))|((var.get('binarray').get(((var.get('i')+Js(2.0))>>Js(2.0)))>>(Js(8.0)*(Js(3.0)-((var.get('i')+Js(2.0))%Js(4.0)))))&Js(255))))
            #for JS loop
            var.put('j', Js(0.0))
            while (var.get('j')<Js(4.0)):
                try:
                    if (((var.get('i')*Js(8.0))+(var.get('j')*Js(6.0)))>(var.get('binarray').get('length')*Js(32.0))):
                        var.put('str', var.get('b64pad'), '+')
                    else:
                        var.put('str', var.get('tab').callprop('charAt', ((var.get('triplet')>>(Js(6.0)*(Js(3.0)-var.get('j'))))&Js(63))), '+')
                finally:
                        (var.put('j',Js(var.get('j').to_number())+Js(1))-Js(1))
        finally:
                var.put('i', Js(3.0), '+')
    return var.get('str')
PyJsHoisted_binb2b64_.func_name = 'binb2b64'
var.put('binb2b64', PyJsHoisted_binb2b64_)
@Js
def PyJsHoisted_hashLoginPassword_(user, passwrd, cur_session_id, this, arguments, var=var):
    var = Scope({'user':user, 'passwrd':passwrd, 'cur_session_id':cur_session_id, 'this':this, 'arguments':arguments}, var)
    var.registers(['passwrd', 'cur_session_id', 'user'])
    return var.get('hex_sha1')((var.get('hex_sha1')((var.get('user').callprop('php_to8bit').callprop('php_strtolower')+var.get('passwrd').callprop('php_to8bit')))+var.get('cur_session_id')))
PyJsHoisted_hashLoginPassword_.func_name = 'hashLoginPassword'
var.put('hashLoginPassword', PyJsHoisted_hashLoginPassword_)
var.put('hexcase', Js(0.0))
var.put('b64pad', Js(''))
var.put('chrsz', Js(8.0))
pass
pass
pass
pass
pass
pass
pass
pass
pass
pass
pass
pass
pass
pass
pass
pass
pass
pass
var.get('String').get('prototype').put('oCharsetConversion', Js({'from':Js(''),'to':Js('')}))
@Js
def PyJs_anonymous_0_(this, arguments, var=var):
    var = Scope({'this':this, 'arguments':arguments}, var)
    var.registers(['sReturn', 'i', 'n', 'iTextLen'])
    var.put('sReturn', Js(''))
    #for JS loop
    var.put('i', Js(0.0))
    var.put('iTextLen', var.get(u"this").get('length'))
    while (var.get('i')<var.get('iTextLen')):
        try:
            var.put('n', var.get(u"this").callprop('charCodeAt', var.get('i')))
            if (var.get('n')<Js(128.0)):
                var.put('sReturn', var.get('String').callprop('fromCharCode', var.get('n')), '+')
            else:
                if (var.get('n')<Js(2048.0)):
                    var.put('sReturn', (var.get('String').callprop('fromCharCode', (Js(192.0)|(var.get('n')>>Js(6.0))))+var.get('String').callprop('fromCharCode', (Js(128.0)|(var.get('n')&Js(63.0))))), '+')
                else:
                    if ((var.get('n')>=Js(55296.0)) and (var.get('n')<=Js(56319.0))):
                        var.put('n', ((Js(65536.0)+((var.get('n')&Js(1023.0))<<Js(10.0)))+(var.get(u"this").callprop('charCodeAt', (var.get('i')+Js(1.0)))&Js(1023.0))))
                        var.put('sReturn', (((var.get('String').callprop('fromCharCode', (Js(240.0)|(var.get('n')>>Js(18.0))))+var.get('String').callprop('fromCharCode', (Js(128.0)|((var.get('n')>>Js(12.0))&Js(63.0)))))+var.get('String').callprop('fromCharCode', (Js(128.0)|((var.get('n')>>Js(6.0))&Js(63.0)))))+var.get('String').callprop('fromCharCode', (Js(128.0)|(var.get('n')&Js(63.0))))), '+')
                        (var.put('i',Js(var.get('i').to_number())+Js(1))-Js(1))
                    else:
                        var.put('sReturn', ((var.get('String').callprop('fromCharCode', (Js(224.0)|(var.get('n')>>Js(12.0))))+var.get('String').callprop('fromCharCode', (Js(128.0)|((var.get('n')>>Js(6.0))&Js(63.0)))))+var.get('String').callprop('fromCharCode', (Js(128.0)|(var.get('n')&Js(63.0))))), '+')
        finally:
                (var.put('i',Js(var.get('i').to_number())+Js(1))-Js(1))
    return var.get('sReturn')
PyJs_anonymous_0_._set_name('anonymous')
var.get('String').get('prototype').put('php_to8bit', PyJs_anonymous_0_)
@Js
def PyJs_anonymous_1_(sFrom, sTo, this, arguments, var=var):
    var = Scope({'sFrom':sFrom, 'sTo':sTo, 'this':this, 'arguments':arguments}, var)
    var.registers(['sTo', 'sFrom'])
    @Js
    def PyJs_anonymous_2_(sMatch, this, arguments, var=var):
        var = Scope({'sMatch':sMatch, 'this':this, 'arguments':arguments}, var)
        var.registers(['sMatch'])
        return var.get('sTo').callprop('charAt', var.get('sFrom').callprop('indexOf', var.get('sMatch')))
    PyJs_anonymous_2_._set_name('anonymous')
    return var.get(u"this").callprop('replace', var.get('RegExp').create(((Js('[')+var.get('sFrom'))+Js(']')), Js('g')), PyJs_anonymous_2_)
PyJs_anonymous_1_._set_name('anonymous')
var.get('String').get('prototype').put('php_strtr', PyJs_anonymous_1_)
@Js
def PyJs_anonymous_3_(this, arguments, var=var):
    var = Scope({'this':this, 'arguments':arguments}, var)
    var.registers([])
    return var.get(u"this").callprop('php_strtr', Js('ABCDEFGHIJKLMNOPQRSTUVWXYZ'), Js('abcdefghijklmnopqrstuvwxyz'))
PyJs_anonymous_3_._set_name('anonymous')
var.get('String').get('prototype').put('php_strtolower', PyJs_anonymous_3_)
@Js
def PyJs_anonymous_4_(this, arguments, var=var):
    var = Scope({'this':this, 'arguments':arguments}, var)
    var.registers([])
    return var.get('escape')(var.get(u"this")).callprop('replace', JsRegExp('/\\+/g'), Js('%2b')).callprop('replace', Js('*'), Js('%2a')).callprop('replace', Js('/'), Js('%2f')).callprop('replace', Js('@'), Js('%40'))
PyJs_anonymous_4_._set_name('anonymous')
var.get('String').get('prototype').put('php_urlencode', PyJs_anonymous_4_)
@Js
def PyJs_anonymous_5_(this, arguments, var=var):
    var = Scope({'this':this, 'arguments':arguments}, var)
    var.registers([])
    return var.get(u"this").callprop('replace', JsRegExp('/&/g'), Js('&amp;')).callprop('replace', JsRegExp('/</g'), Js('&lt;')).callprop('replace', JsRegExp('/>/g'), Js('&gt;')).callprop('replace', JsRegExp('/"/g'), Js('&quot;'))
PyJs_anonymous_5_._set_name('anonymous')
var.get('String').get('prototype').put('php_htmlspecialchars', PyJs_anonymous_5_)
@Js
def PyJs_anonymous_6_(this, arguments, var=var):
    var = Scope({'this':this, 'arguments':arguments}, var)
    var.registers([])
    return var.get(u"this").callprop('replace', JsRegExp('/&quot;/g'), Js('"')).callprop('replace', JsRegExp('/&gt;/g'), Js('>')).callprop('replace', JsRegExp('/&lt;/g'), Js('<')).callprop('replace', JsRegExp('/&amp;/g'), Js('&'))
PyJs_anonymous_6_._set_name('anonymous')
var.get('String').get('prototype').put('php_unhtmlspecialchars', PyJs_anonymous_6_)
@Js
def PyJs_anonymous_7_(this, arguments, var=var):
    var = Scope({'this':this, 'arguments':arguments}, var)
    var.registers([])
    return var.get(u"this").callprop('replace', JsRegExp('/\\\\/g'), Js('\\\\')).callprop('replace', JsRegExp("/'/g"), Js("\\'"))
PyJs_anonymous_7_._set_name('anonymous')
var.get('String').get('prototype').put('php_addslashes', PyJs_anonymous_7_)
@Js
def PyJs_anonymous_8_(sInput, sDummy, sNum, this, arguments, var=var):
    var = Scope({'sInput':sInput, 'sDummy':sDummy, 'sNum':sNum, 'this':this, 'arguments':arguments}, var)
    var.registers(['sDummy', 'sInput', 'sNum'])
    return var.get('String').callprop('fromCharCode', var.get('parseInt')(var.get('sNum')))
PyJs_anonymous_8_._set_name('anonymous')
var.get('String').get('prototype').put('_replaceEntities', PyJs_anonymous_8_)
@Js
def PyJs_anonymous_9_(this, arguments, var=var):
    var = Scope({'this':this, 'arguments':arguments}, var)
    var.registers([])
    return var.get(u"this").callprop('replace', JsRegExp('/&(amp;)?#(\\d+);/g'), var.get(u"this").get('_replaceEntities'))
PyJs_anonymous_9_._set_name('anonymous')
var.get('String').get('prototype').put('removeEntities', PyJs_anonymous_9_)
@Js
def PyJs_anonymous_10_(oReplacements, this, arguments, var=var):
    var = Scope({'oReplacements':oReplacements, 'this':this, 'arguments':arguments}, var)
    var.registers(['oReplacements', 'sResult', 'sSearch'])
    var.put('sResult', var.get(u"this"))
    for PyJsTemp in var.get('oReplacements'):
        var.put('sSearch', PyJsTemp)
        var.put('sResult', var.get('sResult').callprop('replace', var.get('RegExp').create(((Js('%')+var.get('sSearch'))+Js('%')), Js('g')), var.get('oReplacements').get(var.get('sSearch'))))
    return var.get('sResult')
PyJs_anonymous_10_._set_name('anonymous')
var.get('String').get('prototype').put('easyReplace', PyJs_anonymous_10_)


# Add lib to the module scope
sha1 = var.to_python()